//GLSL 
#version 140 //compatibility

uniform sampler2D p3d_Texture0;
uniform sampler2D p3d_Texture1;
uniform sampler2D alphamaptexture;
uniform float time;


void main() {

  vec4 texcolor = vec4(0.0,0.0,0.0,1.0); //TextureStage 1
  vec4 texcolor2 = vec4(0.0,0.0,0.0,1.0); //TextureStage 2
  vec4 alphacolor = texture2D(alphamaptexture, vec2(gl_TexCoord[0].x*cos(time),gl_TexCoord[0].y*sin(time))); //AlphaMap Texture
  if(alphacolor.r<0.1)
	 discard;
  texcolor = texture2D(p3d_Texture0, vec2(gl_TexCoord[0]));
  texcolor2 = texture2D(p3d_Texture1, vec2(gl_TexCoord[0]));
  gl_FragColor = texcolor+texcolor2;
  gl_FragColor.a = 1.0; 
}